GFKEY(1)

NAME
gfkey - management of Gfarm session keys

SYNOPSIS

gfkey [options]

DESCRIPTION

gfkey manages the session key file, $HOME/.gfarm_shared_key, that is used for user authentication by a shared secret key in a trusted environment when connecting to gfsd and/or gfmd. The location of the seesion key file can be specified by shared_key_file in gfarm2.conf.

When the home directory is shared among filesystem nodes, it is not necessary to use this command. If not, it is necessary to distribute a session key created with the -c or -f option to every filesystem node, in advance.

OPTIONS

-c
    Creates a new session key when there is no valid session key. If a valid session key already exists, no operation is performed.

-f
    Forces the creation of a new session key, even if a valid session key already exists.

-p period
    Specifies the term of validity in seconds. This option has to be used with the -c or -f option. Default is 86400 seconds (1 day).

-l
    Displays the current key.

-e
    Displays the expiration date of the current key.

-L message-priority-level
    Specifies a level of the log priority. The log messages that have higher or the same priority than the specified priority are displayed to the standard error. The default priority is info. Refer to the log_level directive described in the manual page of gfarm2.conf(5) for the priority level which can be specified by this option.

-V
    Displays the version information.

-?
    Displays a list of command options.

FILES

$HOME/.gfarm_shared_key
    a file for a session key